API referenceFindings
List Findings
Query Parameters
q?|null
severity?|null
status?|null
category?|null
proven?boolean|null
campaign_id?string|null
asset_id?|null
assignee?|null
unassigned?Unassigned
Default
falseneeds_retest?Needs Retest
Default
falsepage?Page
Range
1 <= valueDefault
1page_size?Page Size
Range
10 <= value <= 100Default
25sort?Sort
Default
"severity"Value in
- "severity"
- "recent"
- "oldest"
Response Body
application/json
application/json
curl -X GET "https://example.com/findings"{ "items": [ { "id": "string", "tenant_id": "string", "campaign_id": "string", "asset_id": "string", "source": "tool", "tool_name": "string", "category": "bola", "title": "string", "description": "", "rule": "string", "severity": "info", "confidence": "low", "cvss": { "version": "3.1", "vector": "string", "score": 0 }, "taxonomy": { "cwe": [ "string" ], "owasp_api_2023": "string", "owasp_web_2021": "string" }, "protocol": "http", "endpoint": { "base_url": "string", "method": "string", "path": "string", "parameter": "string", "protocol": "http" }, "code_location": { "repo": "string", "file_path": "string", "start_line": 0, "end_line": 0, "symbol": "string", "commit": "string" }, "affected_count": 1, "affected_paths": [], "correlation_id": "string", "proven": false, "evidence": [], "dependency": { "name": "string", "version": "string", "purl": "string" }, "remediation": { "summary": "string", "details": "string", "draft_pr_url": "string", "references": [ "string" ] }, "fix_hint": { "property1": "string", "property2": "string" }, "status": "open", "assignee": "string", "retest": { "status": "queued", "workflow_id": "string", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "reproduced": true, "message": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "dedup_key": "string", "allowed_transitions": [ "string" ], "score": 0, "cvss_env": {}, "issue_type": "string", "display_title": "string", "display_subtitle": "string", "display_language": "string", "display_location": "string", "fix_time": "string" } ], "total": 0, "page": 0, "page_size": 0, "pages": 0, "summary": { "total": 0, "open": 0, "proven": 0, "critical_open": 0, "fixes_ready": 0, "by_severity": { "property1": 0, "property2": 0 }, "by_status": { "property1": 0, "property2": 0 }, "by_category": { "property1": 0, "property2": 0 } }}